curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v2/transaction/searchimport requests
url = "https://api.pgw-sandbox.finventi.com/v2/transaction/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v2/transaction/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"next_page_token": "<string>",
"previous_page_token": "<string>"
},
"result": [
{
"amount": 123,
"currency_isocode_alphabetic": "<string>",
"direction": "OUTBOUND",
"sepa_msg_id": "<string>",
"status": "<string>",
"status_hardvalue": "<string>",
"transaction_id": 123,
"type": "<string>",
"type_id": 123,
"metadata": [
"<string>"
],
"compensation_amount": 123,
"creditor_account": "<string>",
"creditor_account_other": {
"id": "<string>",
"issuer": "<string>",
"scheme_name_code": "<string>"
},
"creditor_bank_bic": "<string>",
"creditor_code": "<string>",
"creditor_name": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"debtor_account": "<string>",
"debtor_account_other": {
"id": "<string>",
"issuer": "<string>",
"scheme_name_code": "<string>"
},
"debtor_bank_bic": "<string>",
"debtor_code": "<string>",
"debtor_name": "<string>",
"end_to_end_id": "<string>",
"method": "SEPA",
"origin_bic": "<string>",
"origin_name": "<string>",
"origin_reason_code": "<string>",
"origin_reason_info": "<string>",
"parent_trx_amt": 123,
"parent_trx_id": 123,
"rtrn_chrgs_amt": 123,
"sepa_trx_id": "<string>",
"settlement_date": "2023-12-25",
"trx_purpose": "<string>",
"trx_purpose_information": "<string>",
"trx_purpose_structured_issuer": "<string>",
"trx_purpose_structured_ref": "<string>",
"uetr": "<string>",
"unaccounted_tax_amt": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Get transactions list (v2)
Retrieves payment transactions from the deprecated v2 endpoint using cursor-based pagination.
Migrate to v3
GET /v3/payments replaces the snake_case request fields with camelCase names. For example, use nextPageToken instead of next_page_token, id instead of transaction_id, and statusIds instead of statuses[].
The v3 response returns compact payment summaries in data and cursor metadata in meta. Update integrations that read the v2 result array or its legacy transaction fields before switching endpoints.Query Parameters
A limit on the number of objects to be returned. Default is 10 items.
1 <= x <= 100A pagination token for fetching the next page of results.
A pagination token for fetching the previous page of results.
A filter by transaction ID.
A filter by debtor bank code.
A filter by creditor bank code.
A filter by transaction datetime from (ISO-8601 format: 2020-01-01T12:00:00Z).
A filter by transaction datetime from (ISO-8601 format: 2020-01-01T12:00:00Z).
A filter by settlement date from or equal (ISO-8601 format: 2020-01-01).
A filter by settlement date to or equal (ISO-8601 format: 2020-01-01).
A filter by endToEnd ID.
A filter by UETR.
An exact-match filter by client-defined metadata value.
A filter by transaction method. Multiple values are supported e.g. schema=SEPA&schema=INST
SEPA, INST, SDD, SWIFT, T2 A filter by direction of transactions.
OUTBOUND, INBOUND A filter by Parent Transaction ID.
A filter by transaction Type ID. List of available Type IDs can be retrieved via /getTransactionTypes
Currency (ISO 4217). When provided, results are filtered to this currency AND the amount filters below (amount_from/to, unaccounted_tax_amount_from/to, compensation_amount_from/to) are interpreted as minor units of this currency. When omitted, results are not filtered by currency and amount filters are interpreted as EUR minor units.
A filter by amount (minor currency units of currency, default EUR) from or equal.
A filter by amount (minor currency units of currency, default EUR) to or equal.
A filter by unaccounted tax amount (minor currency units of currency, default EUR) from or equal.
A filter by unaccounted tax amount (minor currency units of currency, default EUR) to or equal.
A filter by compensation amount (minor currency units of currency, default EUR) from or equal.
A filter by compensation amount (minor currency units of currency, default EUR) to or equal.
A filter by debtor account.
A filter by creditor account.
A filter by transaction Status ID. List of available Status IDs can be retrieved via /getTransactionStatuses
A filter by transaction Status ID. List of available Status IDs can be retrieved via /getTransactionStatuses